- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
gdirectory.h File Reference
`#include "gdef.h"`
`#include "gpath.h"`
`#include "gexception.h"`
`#include <string>`
`#include <vector>`
`#include <sys/types.h>`

Go to the source code of this file.

## Classes
class | G::Directory
| An encapsulation of a file system directory which allows for iterating through the set of contained files. More...
class | G::DirectoryIterator
| A Directory iterator. More...
class | G::DirectoryList
| A Directory iterator that does all file i/o in one go. More...

## Namespaces
| G
| Low-level classes.